Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can not install grub2
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
rootor
n00b
n00b


Joined: 05 Dec 2011
Posts: 25

PostPosted: Mon Dec 05, 2011 9:27 am    Post subject: Can not install grub2 Reply with quote

After chroot and compiled the kernel, I want use grub2(not 0.97)

reference: http://en.gentoo-wiki.com/wiki/Grub2

After run these commands:
Code:

echo "sys-boot/grub:2" >> /etc/portage/package.accept_keywords
echo "sys-boot/grub:2" >> /etc/portage/package.unmask
emerge -av sys-boot/grub:2


I got:
Code:


nehc ~ # emerge -av sys-boot/grub:2

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ~] sys-boot/os-prober-1.47  25 kB
[ebuild  N     ] dev-libs/lzo-2.06  USE="-examples -static-libs" 570 kB
[ebuild     U ~] media-fonts/unifont-5.1.20080914 [1.0-r4] USE="X" 8,351 kB
[ebuild  N     ] dev-python/pycrypto-2.3  USE="gmp -doc" 324 kB
[ebuild  N     ] dev-python/setuptools-0.6.21  391 kB
[ebuild  N     ] dev-scheme/guile-1.8.8-r1  USE="deprecated nls regex threads -debug -debug-freelist -debug-malloc -discouraged -emacs -networking" 3,864 kB
[ebuild  N     ] dev-libs/libburn-1.0.0  USE="-debug -track-src-odirect" 792 kB
[ebuild  N     ] sys-devel/autogen-5.11.5  1,016 kB
[ebuild  N     ] dev-python/paramiko-1.7.7.1  USE="-doc -examples" 804 kB
[ebuild  N     ] dev-libs/libisofs-1.0.0  USE="acl zlib -debug -verbose-debug -xattr" 669 kB
[ebuild  N     ] dev-libs/libisoburn-1.0.0  USE="acl readline zlib -debug -external-filters -external-filters-setuid -xattr" 1,015 kB
[ebuild  N     ] dev-vcs/bzr-2.4.1  USE="sftp -bash-completion -curl -doc -emacs -test" 7,110 kB
[ebuild  NS   *] sys-boot/grub-9999 [0.97-r10] USE="nls sdl truetype -custom-cflags -debug -device-mapper -efiemu -static" GRUB_PLATFORMS="-coreboot -efi-32 -efi-64 -emu -ieee1275 -multiboot -pc -qemu -qemu-mips -yeeloong" 0 kB

Total: 13 packages (1 upgrade, 11 new, 1 in new slot), Size of downloads: 24,924 kB

The following keyword changes are necessary to proceed:
#required by sys-boot/grub-9999[truetype], required by sys-boot/grub:2 (argument)
>=media-fonts/unifont-5.1.20080914 ~amd64
#required by sys-boot/grub-9999, required by sys-boot/grub:2 (argument)
>=sys-boot/os-prober-1.47 ~amd64
#required by sys-boot/grub:2 (argument)
>=sys-boot/grub-9999 **

NOTE: This --autounmask behavior can be disabled by setting
      EMERGE_DEFAULT_OPTS="--autounmask=n" in make.conf.

Use --autounmask-write to write changes to config files (honoring CONFIG_PROTECT).
nehc ~ #


USE is:
Code:

USE="mmx sse sse2 X gnome gtk -kde -qt3 -qt4 acl zlib readline nls adl truetype "



How to solve it ?
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 516

PostPosted: Mon Dec 05, 2011 2:00 pm    Post subject: Reply with quote

Follow the output of emerge? The last lines are self explanatory.
_________________
home/:mkinitramfs-ll/:supervision/:e-gtk-theme/:overlay/
Back to top
View user's profile Send private message
katfish
Tux's lil' helper
Tux's lil' helper


Joined: 14 Nov 2011
Posts: 147

PostPosted: Mon Dec 05, 2011 2:53 pm    Post subject: Reply with quote

I guess he complains that there is no v2 package yet.

Change your keywords to ~sys-boot/grub-1.99 ** in order to get the latest non-live version.
Back to top
View user's profile Send private message
rootor
n00b
n00b


Joined: 05 Dec 2011
Posts: 25

PostPosted: Wed Dec 07, 2011 7:46 am    Post subject: got it Reply with quote

tclover wrote:
Follow the output of emerge? The last lines are self explanatory.


got it, thanks
Back to top
View user's profile Send private message
rootor
n00b
n00b


Joined: 05 Dec 2011
Posts: 25

PostPosted: Thu Dec 08, 2011 8:04 am    Post subject: resolved Reply with quote

I have solved this problem by run:
Code:

# emerge --autounmask-write sys-boot/grub:2

# etc-update
    .
    .
    .                         #select -3

# emerge sys-boot/grub:2     # now, it's OK

Back to top
View user's profile Send private message
Babau
n00b
n00b


Joined: 07 Jun 2005
Posts: 22

PostPosted: Fri Dec 09, 2011 4:14 pm    Post subject: Reply with quote

slightly different isse here

I was already using grub-1.99-r2

but now emerge -DuNa world want to upgrade it to 9999

I did follow the wiki to install Grub 2
Back to top
View user's profile Send private message
rootor
n00b
n00b


Joined: 05 Dec 2011
Posts: 25

PostPosted: Fri Dec 09, 2011 4:56 pm    Post subject: 9999 Reply with quote

What is 9999? grub-1.99 or later?
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1945
Location: Zurich, Switzerland

PostPosted: Fri Dec 09, 2011 5:08 pm    Post subject: Reply with quote

This is because the wiki unmasks and keywords all :2 version, including the live build.

V.
_________________
read the portage output!
If my answer is too concise, ask for an explanation.
Back to top
View user's profile Send private message
Babau
n00b
n00b


Joined: 07 Jun 2005
Posts: 22

PostPosted: Sat Dec 10, 2011 8:42 am    Post subject: Reply with quote

should I mask 9999 than?

rootor wrote:
What is 9999? grub-1.99 or later?

it's the live ebuild
Back to top
View user's profile Send private message
Marlo
Veteran
Veteran


Joined: 26 Jul 2003
Posts: 1414

PostPosted: Sat Dec 10, 2011 11:04 am    Post subject: Reply with quote

Add in the files:
package.unmask wrote:

sys-boot/grub:2

and
package.keywords wrote:

= sys-boot/grub-1.99-r2:: gentoo **
sys-boot/os-prober


after emerge grub try the following commands

Code:
grub2-install --grub-setup=/bin/true /dev/sdX
ln -sf /boot/grub2 /boot/grub
grub2-mkconfig -o /boot/grub/grub.cfg


But first of all read the important notes in --> http://en.gentoo-wiki.com/wiki/Grub2

Ma
_________________
Thank you for your attention, interest and support.
------------------------------------------------------------------
http://radio.garden/
Back to top
View user's profile Send private message
Babau
n00b
n00b


Joined: 07 Jun 2005
Posts: 22

PostPosted: Sat Dec 10, 2011 11:53 am    Post subject: Reply with quote

package.keywords wrote:
=sys-boot/grub-1.99-r2 **
sys-boot/os-prober


this did work thx
Back to top
View user's profile Send private message
Marlo
Veteran
Veteran


Joined: 26 Jul 2003
Posts: 1414

PostPosted: Sat Dec 10, 2011 12:16 pm    Post subject: Reply with quote

Yes I have now seen that package.unmask is no longer necessary.

Ma
_________________
Thank you for your attention, interest and support.
------------------------------------------------------------------
http://radio.garden/
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum